# Interface MapFishPrintSpec

interface MapFishPrintSpec {
attributes: MapFishPrintAttributes;
format: string;
lang: string;
layout: string;
smtp: MapFishPrintSMTP;
}

- Defined in src/print/mapfish-print-v3.js:83

#####
Index

### Properties

attributes
format
lang
layout
smtp

## Properties

### attributes

attributes: MapFishPrintAttributes

- Defined in src/print/mapfish-print-v3.js:84

### format

format: string

- Defined in src/print/mapfish-print-v3.js:86

### lang

lang: string

- Defined in src/print/mapfish-print-v3.js:87

### layout

layout: string

- Defined in src/print/mapfish-print-v3.js:85

### smtp

smtp: MapFishPrintSMTP

STMP object definition

- Defined in src/print/mapfish-print-v3.js:88